Emitted when a ModelReference's value is explicitly cleared.

### Type parameters

- #### T

### Hierarchy

- ReferenceClearedEvent

### Implements

- IConvergenceEvent

## Index

### Constructors

- constructor

### Properties

- name
- oldValue
- oldValues
- src
- NAME

## Constructors

### constructor

- new ReferenceClearedEvent(src: ModelReference<any>, oldValues: T[]): ReferenceClearedEvent

- #### Parameters

  - ##### src: ModelReference<any>

  - ##### oldValues: T[]

  #### Returns ReferenceClearedEvent

## Properties

### name

name: string = ReferenceClearedEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### oldValue

oldValue: T

The first previous value (if there were multiple) of the reference.

### oldValues

oldValues: T[]

The previous values of the reference.

### src

src: ModelReference<any>

The underlying reference that was cleared.

### StaticNAME

NAME: "cleared" = "cleared"